I suggest you ...

Add minimum target platform version for C++ desktop apps

There is no good way to specify a target platform version. You have to specify the exact version number of the Windows SDK you want to target, or else you'll get a build error.

<WindowsTargetPlatformVersion>10.0.17134.0</WindowsTargetPlatformVersion>

Since Windows releases new SDKs frequently, this is problematic. And it is not possible to author a project file that supports multiple versions. You should add something like,

<MinimumTargetPlatformVersion>10.0</MinimumTargetPlatformVersion>

that will just work with whatever you have installed.

1 vote
Vote
Sign in
(thinking…)
Sign in with: facebook google
Signed in as (Sign out)
You have left! (?) (thinking…)
Jordan Rhee shared this idea  ·   ·  Flag idea as inappropriate…  ·  Admin →

0 comments

Sign in
(thinking…)
Sign in with: facebook google
Signed in as (Sign out)
Submitting...

Feedback and Knowledge Base